## release-upgrader-apt 0.8.16~exp12ubuntu6~upgrader1

=== debian/changelog ===
release-upgrader-apt (0.8.16~exp12ubuntu6~upgrader1) lucid-proposed; urgency=low

  * Update backported apt libraries from precise to ensure that
    upgrades work.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Mar 2012 17:08:23 +0100

apt (0.8.16~exp12ubuntu6) UNRELEASED; urgency=low

  * cherry pick from
    http://bzr.debian.org/bzr/bzr/apt/apt/debian-experimental2/:
    * apt-pkg/packagemanager.cc:
      - fix bug in predepends handling - ensure that packages that needs
        unpackaging are unpacked before they are configured (LP: #927993)
    * apt-pkg/packagemanager.cc:
      - do not try to a void a breaks if the broken package pre-depends
        on the breaker, but let dpkg auto-deconfigure it
    * apt-pkg/packagemanager.cc:
      - recheck all dependencies if we changed a package in SmartConfigure
        as this could break an earlier dependency (LP: #940396)
    * recheck dependencies in SmartUnpack after a change, too
    * add Debug::pkgAcqArchive::NoQueue to disable package downloading

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Mar 2012 13:35:36 +0100

apt (0.8.16~exp12ubuntu5) precise; urgency=low

  [ Michael Vogt ]
  * merged from the debian-sid branch, most notably:
    - Correct fi translation for hash sum mismatches (LP: #420403)
      Thanks to Jani Uusitalo
    - remove 'old' InRelease file if we can't get a new one before
      proceeding with Release.gpg to avoid the false impression of a still
      trusted repository by a (still present) old InRelease file.
      Thanks to Simon Ruderich for reporting this issue! (CVE-2012-0214)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 06 Mar 2012 17:52:50 +0100

apt (0.8.16~exp12ubuntu4) precise; urgency=low

  * apt-pkg/contrib/fileutl.h:
    - fix compatibility with FileFd::OpenDescriptor() in ReadOnlyGzip mode

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 14 Feb 2012 10:06:28 +0100

apt (0.8.16~exp12ubuntu3) precise; urgency=low

  * Fix IndexCopy::CopyPackages and TranslationsCopy::CopyTranslations to
    handle compressed files again (LP: #924182).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 31 Jan 2012 11:19:46 +0000

apt (0.8.16~exp12ubuntu2) precise; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/deb/dpkgpm.cc:
    - chroot if needed before dpkg --assert-multi-arch
    - ensure that dpkg binary doesn't have the chroot-directory prefixed
  * apt-pkg/depcache.cc:
    - if a M-A:same package is marked for reinstall, mark all it's installed
      silbings for reinstallation as well (LP: #859188)
  * apt-pkg/contrib/configuration.cc:
    - do not stop parent transversal in FindDir if the value is empty
  * methods/http{s,}.cc:
    - if a file without an extension is requested send an 'Accept: text/*'
      header to avoid that the server chooses unsupported compressed files
      in a content-negotation attempt (Closes: #657560)
  * apt-pkg/aptconfiguration.cc:
    - chroot if needed before calling dpkg --print-foreign-architectures

  [ Michael Vogt ]
  * apt-pkg/deb/dpkgpm.cc:
    - fix crash when a package is in removed but residual config state
      (LP: #923807)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 30 Jan 2012 21:03:12 +0100

release-upgrader-apt (0.8.16~exp12ubuntu1~upgrader3) lucid-proposed; urgency=low

  * fix FTBFS because of duplicated po entries (which are not really 
    duplicated as the duplications are commented out)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 05 Mar 2012 13:18:33 +0100

release-upgrader-apt (0.8.16~exp12ubuntu1~upgrader2) lucid-proposed; urgency=low

  * apt-pkg/packagemanager.cc:
    - when calculating pre-dependencies ensure that both unpack and
      configure are considered (instead of only configure) LP: #927993

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 05 Mar 2012 10:37:35 +0100

release-upgrader-apt (0.8.16~exp12ubuntu1~upgrader1) lucid-proposed; urgency=low

  * Backport apt libraries from precise to lucid to make multiarch-enabled
    upgrades work.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 30 Jan 2012 10:21:37 +0000

apt (0.8.16~exp12ubuntu1) precise; urgency=low

  [ Michael Vogt ]
  * merge from debian/experimental:
    - new ABI

  [ Steve Langasek ]
  * apt-pkg/algorithms.cc: iterate Breaks the same way as Conflicts, so that
    we resolve virtual package Breaks more effectively.  Thanks to Colin
    Watson for the patch.  Closes: #657695, LP: #922485.
  * apt-pkg/algorithms.{cc,h}: use an int to represent resolver scores, not
    a signed short, because large upgrades can result in an overflow for
    core packages.  Thanks again to Colin Watson.  Closes: #657732,
    LP: #917173.
  * Multi-Arch: none build-deps should be DEB_HOST_ARCH, not DEB_BUILD_ARCH.
    Closes: #646288.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 29 Jan 2012 00:44:16 +0000

apt (0.8.16~exp12) experimental; urgency=low

  [ Michael Vogt ]
  * apt-pkg/deb/dpkgpm.cc:
    - fix segfault on pkg removal

  [ David Kalnischkies ]
  * apt-pkg/cacheiterators.h:
    - return the correct version arch for all+foreign, too
  * apt-pkg/packagemanager.cc:
    - ignore breaks on not-installed versions while searching for
      breakage loops as we don't have to avoid them
  * debian/control:
    - remove APT from the short descriptions as lintian doesn't like it
      and it doesn't transport any information for a reader anyway
    - apply typofixes by Pascal De Vuyst, thanks! (Closes: #652834, #652835)
  * debian/rules:
    - apply patch to enable usage of hardning CPPFLAGS and LDFLAGS by
      Moritz Muehlenhoff, thanks! (Closes: #653504)
  * methods/https.cc:
    - use curls list append instead of appending Range and If-Range by hand
      which generates malformed requests, thanks Mel Collins for the hint!
      (Closes: #646381)
  * test/libapt/run-tests:
    - hurd doesn't have dmesg yet and we don't really need it either,
      so use with $0 a more stable data source for hashsumming

  [ Pino Toscano ]

