=== debian/control ===
Source: release-upgrader-apt
Section: admin
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>,
 Christian Perrier <bubulle@debian.org>, Daniel Burrows <dburrows@debian.org>,
 Julian Andres Klode <jak@debian.org>
Standards-Version: 3.9.2
Build-Depends: dpkg-dev, debhelper (>= 7.2.3~), libdb-dev,
 gettext (>= 0.12), libcurl4-gnutls-dev (>= 7.19.0),
 zlib1g-dev | libz-dev, debiandoc-sgml, xsltproc, docbook-xsl, docbook-xml,
 po4a (>= 0.34-2), autotools-dev, autoconf, automake, doxygen
Build-Conflicts: autoconf2.13, automake1.4
Vcs-Bzr: lp:~ubuntu-core-dev/apt/ubuntu
Vcs-Browser: http://code.launchpad.net/apt/ubuntu

#Package: apt
#Architecture: any
#Depends: ubuntu-keyring, ${shlibs:Depends}, ${misc:Depends}, gnupg
#Replaces: manpages-pl (<< 20060617-3~)
#Conflicts: python-apt (<< 0.7.93.2~)
#Suggests: aptitude | synaptic | wajig, dpkg-dev, apt-doc, bzip2, lzma, python-apt
#Description: commandline package manager
# This package provides commandline tools for searching and
# managing as well as querying information about packages
# as a low-level access to all features of the libapt-pkg library.
# .
# These include:
#  * apt-get for retrieval of packages and information about them
#    from authenticated sources and for installation, upgrade and
#    removal of packages together with their dependencies
#  * apt-cache for querying available information about installed
#    as well as installable packages
#  * apt-cdrom to use removable media as a source for packages
#  * apt-config as an interface to the configuration settings
#  * apt-key as an interface to manage authentication keys

Package: libapt-pkg4.12
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: package managment runtime library
 This library provides the common functionality for searching and
 managing packages as well as information about packages.
 Higher-level package managers can depend upon this library.
 .
 This includes:
  * retrieval of information about packages from multiple sources
  * retrieval of packages and all dependent packages
    needed to satisfy a request either through an internal
    solver or by interfacing with an external one
  * authenticating the sources and validating the retrieved data
  * installation and removal of packages in the system
  * providing different transports to retrieve data over cdrom, ftp,
    http, rsh as well as an interface to add more transports like
    https (apt-transport-https) and debtorrent (apt-transport-debtorrent).

Package: libapt-inst1.4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: deb package format runtime library
 This library provides methods to query and extract information
 from deb packages. This includes the control data and the package
 file content.

#Package: apt-doc
#Architecture: all
#Priority: optional
#Depends: ${misc:Depends}
#Section: doc
#Description: documentation for APT
# This package contains the user guide and offline guide for various
# APT tools which are provided in a html and a text-only version.

Package: release-upgrader-libapt-pkg-dev
Architecture: any
Priority: optional
Depends: ${libapt-pkg-name} (= ${binary:Version}), ${libapt-inst-name} (= ${binary:Version}), ${misc:Depends}, zlib1g-dev | zlib-dev
Conflicts: libapt-pkg-dev
Section: libdevel
Description: development files for APT's libapt-pkg and libapt-inst
 This package contains the header files and libraries for
 developing with APT's libapt-pkg Debian package manipulation
 library and the libapt-inst deb/tar/ar library.

#Package: libapt-pkg-doc
#Architecture: all
#Priority: optional
#Depends: ${misc:Depends}
#Section: doc
#Description: documentation for APT development
# This package contains documentation for development of the APT
# Debian package manipulation program and its libraries.
# .
# This includes the source code documentation generated by doxygen
# in html format.
#
#Package: apt-utils
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Description: package managment related utility programs
# This package contains some less used commandline utilities related
# to package managment with APT.
# .
#  * apt-extracttemplates is used by debconf to prompt for configuration
#    questions before installation.
#  * apt-ftparchive is used to create Packages and other index files
#    needed to publish an archive of debian packages
#  * apt-sortpkgs is a Packages/Sources file normalizer.
#
#Package: apt-transport-https
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Priority: optional
#Description: https download transport for APT
# This package enables the usage of 'deb https://foo distro main' lines
# in the /etc/apt/sources.list so that all package managers using the
# libapt-pkg library can access metadata and packages available in sources
# accessible over https (Hypertext Transfer Protocol Secure).
# .
# This transport supports server as well as client authentication
# with certificates.
